%define packname  Biobase

Name:             R-%{packname}
Version:          1.16.1 
Release:          3%{?dist}
Summary:          Base functions for Bioconductor
Summary(fr):      Bibliotèque utilisé par de nombreuses autres bibliothèques

Group:            Applications/Engineering
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/2.1/bioc/html/Biobase.html
Source0:          http://www.bioconductor.org/packages/2.1/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-tkWidgets
Requires(post):   R
Requires(postun): R
BuildRequires:    R >= 2.5.0 tetex-latex R-tkWidgets

%description
Base functions for Bioconductor (bioconductor.org). Biobase provides 
functions that are needed by many other Bioconductor packages or which 
replace R functions.

%description -l fr
Bibliothèque contenant des fonctions requises par d'autres bibliothèques
ou qui remplacent certaines fonctions dans R

%prep
%setup -c -q -n %{packname}


%build

%install
rm -rf %{buildroot}


mkdir -p %{buildroot}%{_libdir}/R/library 
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css


%check
# This library ask for the library ALL which can not be compiled without
# R-Biobase
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun 
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R-ex/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/UnitTests/
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/scripts
%{_libdir}/R/library/%{packname}/ExpressionSet
%{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/Code
%{_libdir}/R/library/%{packname}/extdata
%{_libdir}/R/library/%{packname}/testClass.R

%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/latex/
%doc %{_libdir}/R/library/%{packname}/man/



%changelog
* Sun Nov 18 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-3
- Change on the description

* Sun Nov 18 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-2
- Change on the install command
- Change on the Requires
- Change on the description

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-1
- Update to bioconductor 2.1 

* Fri Jul 13 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-4
- Change in the R and BR section to fit the guidelines

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-3
- Change in post and postun to fit the packaging guidelines
- Change in prep to fit the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-2
- Change de %%doc to avoid redundancy

* Thu May 17 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-1
- Submitting to Fedora Extras

* Wed Apr 25 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-0.1
- Build of the rpm
